import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

/**
 * Lab #4 completed
 * CS 2334, Section 010
 * 18 November 2008
 * <P>
 * This class implements a program that tests the Word class.
 * </P>
 * @author Dean Hougen
 * @version 1.0
 */
public class Driver {
	/**
	 * This is the main method for this test program. Since this is a
	 * simple test program, all of our code will be in the main method.
	 * Typically this would be a bad design, but we are just testing out
	 * some features of Java.
	 * <P>
	 * @param             args       Contains the command line arguments.
	 */
	public static void main(String[] args) throws IOException, ClassNotFoundException {

		// --- Question 6 ---

		// Create a word object
		Word myWord = new Word("Bogus", "Georgian");

		// Write the word to a file
		Word.writeWord ("myWordFile", myWord);

		// Read the word from a file
		Word thatWord = Word.readWord("myWordFile");

		// Print the word to the console
		System.out.println(thatWord);

		

		// --- Question 9 ---

		// Create a list of word objects
		List<Word> words = new ArrayList<Word>();
		
		words.add(new Word("carnivoro", "Spanish"));
		words.add(new Word("blast", "English"));

		// Write the list to a file
		Word.writeDictionary("myDictionaryFile", words);

		// Clear the contents of the list
		words.clear();

		// Print the list to the console (show that the list is empty)
		System.out.println(words + " Was it empty?");

		// Read in the list from a file
		words = Word.readDictionary("myDictionaryFile");

		// Print the contents of the list
		System.out.println(words + " Was it empty this time?");
	}
}